import { Injectable } from '@nestjs/common';
import { Entry } from './interfaces/entry.type';
import Database from '~/db/database';

@Injectable()
export class EntriesService {
	async create(): Promise<Entry> {
		return Database.createEntry();
	}

	async getEntry(id: string): Promise<Entry> {
		return Database.getEntry(id);
	}

	async updateEntry(id: string, data: JSON): Promise<Entry> {
		return Database.updateEntry(id, data);
	}

	async deleteEntry(id: string): Promise<boolean> {
		return Database.deleteEntry(id);
	}
}
